[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBRadioGroup.OnChange

Event Handler signalled when the Value for the control is changed.

## Declaration

Source position: dbctrls.pp line 634

`published property TDBRadioGroup.OnChange : TNotifyEvent read FOnChange write FOnChange;`

## Description

OnChange is a TNotifyEvent property which contains the event handler signalled when the Value for the control is changed. OnChange can be used in an application to perform actions needed after Value (and ItemIndex) has been updated, and the corresponding radio button has been set to the checked state.

OnChange is signalled from the Change method.

## See also

TDBRadioGroup.Change |  | Signals the OnChange event handler when assigned.
TDBRadioGroup.ItemIndex |  | Ordinal position for the selected radio button in the group.
TDBRadioGroup.Value |  | The value for the selected radio button in the control.